---
# Initial deploy of hive-main-server app
- hosts: hivemain
  vars:
    logrotate_conf: hive
    monit_conf: hive-main-server
  roles:
    - {role: common,            tags: [basic, common]}
    - {role: git,               tags: [basic, git]}
    - {role: postfix,           tags: [basic, postfix]}
    - {role: hiveuser,          tags: [basic, user]}
    - {role: nodejs,            tags: [basic, nodejs]}
    - {role: hive-main,         tags: [app, main]}
    - {role: logrotate,         tags: [basic, logrotate]}
    - {role: hive-main-upstart, tags: [app, upstart]}
    - {role: monit,             tags: [basic, monit]}
